qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kim van der Riet <kim.vdr...@redhat.com>
Subject Re: problem of msgstore on rhel6
Date Fri, 02 Mar 2012 11:54:53 GMT
On Fri, 2012-03-02 at 13:30 +0800, Chris Gong wrote:
> hi, ervery one. when i use the persistance of qpidd by such command line:
> ./qpidd
> --load-module=/home/gongxc/qpid_persistance_store/lib/.libs/msgstore.so
> i get a failure as following:
> library build did not include support for cryptography
> 2012-03-02 13:16:28 error BDB exception occurred while initializing store:
> DbEnv::set_encrypt: Operation not supported
> 2012-03-02 13:16:29 error Previoius BDB store initialization failed,
> retrying (2 of 3)...
> library build did not include support for cryptography
> 2012-03-02 13:16:29 error BDB exception occurred while initializing store:
> DbEnv::set_encrypt: Operation not supported
> 2012-03-02 13:16:30 error Previoius BDB store initialization failed,
> retrying (3 of 3)...
> library build did not include support for cryptography
> 2012-03-02 13:16:30 error BDB exception occurred while initializing store:
> DbEnv::set_encrypt: Operation not supported
> 2012-03-02 13:16:30 critical Unexpected error: BDB exception occurred while
> initializing store (MessageStoreImpl.cpp:378): DbEnv::set_encrypt:
> Operation not supported
> 
> i wonder, which library was build without support of cryptography? is
> berkeleyDB? howerver, i tried many versions of berkeleyDB, such as 4.3.29,
> 4.7.25, 4.8.30, 5.3.15, i builded and installed them all, the result is
> still the same. I knoticed that the rhel6 has installed 4.7 libs in the
> /lib, but i replaced them, it still doesn't work.
> i wonder, what does the qpidd do when it loads the msgstore.so, what libs
> it need? how should i build berkeleyDB with support for cryptography. when
> configure, i didn't use --disable-cryptography option
> 
> who can help me? thanks

I have not seen this error before; I assume it is related to the db4
(Berkeley DB) libraries. The store uses db4 for some of its storage, and
initializes these libs when the store is initialized. The store does not
explicitly use encryption, so it must be an internal db4 issue.

I don't build db4 but use off-the-shelf packages, and I don't see this
problem. I have installed:

db4-devel-4.8.30-3.fc15.x86_64
db4-4.8.30-3.fc15.x86_64
db4-utils-4.8.30-3.fc15.x86_64
db4-cxx-4.8.30-3.fc15.x86_64

If you are building your own libs, I suggest it might have something to
do with your build options or a lack of the correct installed crypto
libs? Sometimes when building a package, you need to have other packages
installed first for some options to be compiled in... in your case you
may need to install some crypto libs before you can get support in your
db4 build. As I have not done this myself, I suggest you inquire on the
Berkeley DB lists about this issue.


---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org


Mime
View raw message